LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSlidePreviewCache Interface Reference

A cache of preview bitmaps for the slides of one Impress or Draw document in one size. More...

`import"XSlidePreviewCache.idl";`

## Public Member Functions
void | setDocumentSlides ([in] ::com::sun::star::container::XIndexAccess xSlides, [in] ::com::sun::star::uno::XInterface xDocument)
| Set the set of slides for which the cache will provide the previews. More...
void | setVisibleRange ([in] long nFirstVisibleSlideIndex, [in] long nLastVisibleSlideIndex)
| Define which slides are currently visible on the screen and which are not. More...
void | setPreviewSize ([in] ::com::sun::star::geometry::IntegerSize2D aSize)
| Define the size of the previews that are managed by the called cache. More...
::com::sun::star::rendering::XBitmap | getSlidePreview ([in] long nSlideIndex, [in] ::com::sun::star::rendering::XCanvas xCanvas) raises (::com::sun::star::lang::IllegalArgumentException)
| Return a preview for the given slide index. More...
void | addPreviewCreationNotifyListener ([in] XSlidePreviewCacheListener xListener)
| Register a listener that is called when a preview has been created asynchronously. More...
void | removePreviewCreationNotifyListener ([in] XSlidePreviewCacheListener xListener)
| Remove a previously registered listener for preview creations. More...
void | pause ()
| Stop the asynchronous creation of previews temporarily. More...
void | resume ()
| Resume the asynchronous creation of slide previews. More...

## Detailed Description

A cache of preview bitmaps for the slides of one Impress or Draw document in one size.

There may be more than one cache for one document. These are internally connected and for missing previews one cache may take it from another cache and scale it to the desired size. When a preview is not present then it is created asynchronously. On creation all registered listeners are notified.

Slides are referenced via their index in an XIndexAccess container in order to allow multiple references to a single slide (custom presentations).

## Member Function Documentation

## ◆ addPreviewCreationNotifyListener()

void addPreviewCreationNotifyListener | ( | [in] XSlidePreviewCacheListener | xListener | ) |

Register a listener that is called when a preview has been created asynchronously.

## ◆ getSlidePreview()

::com::sun::star::rendering::XBitmap getSlidePreview | ( | [in] long | nSlideIndex,
|  | [in] ::com::sun::star::rendering::XCanvas | xCanvas
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Return a preview for the given slide index.

The returned bitmap may be the requested preview, a preview of the preview, i.e. a scaled up or down version, or an empty reference when the preview is not yet present.

This call may lead to the asynchronous creation of the requested preview. In that case all registered listeners are notified when the preview has been created.

## ◆ pause()

void pause | ( |  | ) |

Stop the asynchronous creation of previews temporarily.

Call resume() to restart it.

## ◆ removePreviewCreationNotifyListener()

void removePreviewCreationNotifyListener | ( | [in] XSlidePreviewCacheListener | xListener | ) |

Remove a previously registered listener for preview creations.

## ◆ resume()

void resume | ( |  | ) |

Resume the asynchronous creation of slide previews.

## ◆ setDocumentSlides()

void setDocumentSlides | ( | [in] ::com::sun::star::container::XIndexAccess | xSlides,
|  | [in] ::com::sun::star::uno::XInterface | xDocument
| ) |  |

Set the set of slides for which the cache will provide the previews.

All slides in the given XIndexAccess are required to come from the given model.

Parameters

  xSlides | The set of slides for which the called cache will provide the previews. This container defines the indices that are used to look up slides.
  xDocument | The model that contains the slides reference by the xSlides argument.

## ◆ setPreviewSize()

void setPreviewSize | ( | [in] ::com::sun::star::geometry::IntegerSize2D | aSize | ) |

Define the size of the previews that are managed by the called cache.

## ◆ setVisibleRange()

void setVisibleRange | ( | [in] long | nFirstVisibleSlideIndex,
|  | [in] long | nLastVisibleSlideIndex
| ) |  |

Define which slides are currently visible on the screen and which are not.

This information is used for give preview creation for visible slides a higher priority than for those slides that are not visible.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XSlidePreviewCache.idl